diff --git a/game/client/build.gradle.kts b/game/client/build.gradle.kts
index 3b7f26ad2..78a61ac68 100644
--- a/game/client/build.gradle.kts
+++ b/game/client/build.gradle.kts
@@ -83,6 +83,8 @@ java {
 
 //region Tasks
 val manifestGenerator by tasks.registering {
+    outputs.upToDateWhen { false }
+
     group = "bta.generator"
     outputs.dir(temporaryDir)
 
diff --git a/game/client/src/main/java/net/minecraft/client/Minecraft.java b/game/client/src/main/java/net/minecraft/client/Minecraft.java
index 39aa080a1..b48af2805 100644
--- a/game/client/src/main/java/net/minecraft/client/Minecraft.java
+++ b/game/client/src/main/java/net/minecraft/client/Minecraft.java
@@ -76,7 +76,6 @@ import net.minecraft.core.net.command.commands.CommandTime;
 import net.minecraft.core.net.command.commands.CommandWeather;
 import net.minecraft.core.net.command.util.CommandHelper;
 import net.minecraft.core.util.collection.NamespaceID;
-import net.minecraft.core.util.helper.AES;
 import net.minecraft.core.util.helper.DyeColor;
 import net.minecraft.core.util.helper.LoggedPrintStream;
 import net.minecraft.core.util.helper.UUIDHelper;
@@ -1189,7 +1188,7 @@ public class Minecraft
     {
         try
         {
-            renderGlobal.deleteRenderListBase();
+            renderGlobal.deleteChunkLists();
         }
         catch(Throwable ignored) { }
         try
@@ -1563,7 +1562,7 @@ public class Minecraft
                         	int step = Math.round(gameSettings.flightSpeed.value * steps);
                         	step += MathHelper.clamp(scrollDelta, -1, 1);
                         	float newSpeed = step / steps;
-                        	newSpeed = MathHelper.clamp(newSpeed, 0.0f, 1.0f);
+                        	newSpeed = MathHelper.clamp(newSpeed, 0.0f, 5.0f);
                         	
                         	gameSettings.flightSpeed.value = newSpeed;
                         	
@@ -1687,7 +1686,7 @@ public class Minecraft
                                     {
                                         fullbright = !fullbright;
                                         if(!LightmapHelper.isLightmapEnabled()) {
-                                        	renderGlobal.loadRenderers();
+                                        	renderGlobal.allChanged();
                                         }
                                     }
                                 }
@@ -1697,7 +1696,7 @@ public class Minecraft
                                     {
                                         fullbright = !fullbright;
                                         if(!LightmapHelper.isLightmapEnabled()) {
-                                        	renderGlobal.loadRenderers();
+                                        	renderGlobal.allChanged();
                                         }
                                     }
                                 }
@@ -1708,11 +1707,11 @@ public class Minecraft
                             	if(gameSettings.lightmapStyle.value == LightmapStyle.DISABLED) {
                             		gameSettings.lightmapStyle.value = LightmapStyle.GRAY;
                             		hudIngame.heldItemTooltipElement.setString("Lightmap: On");
-                            		renderGlobal.loadRenderers();
+                            		renderGlobal.allChanged();
                             	}else {
                             		gameSettings.lightmapStyle.value = LightmapStyle.DISABLED;
                             		hudIngame.heldItemTooltipElement.setString("Lightmap: Off");
-                            		renderGlobal.loadRenderers();
+                            		renderGlobal.allChanged();
                             	}
                             }
                             else if (gameSettings.keyCollisionBoxes.isPressEvent())
@@ -1741,7 +1740,7 @@ public class Minecraft
                             }
                             else if (gameSettings.keyReloadChunks.isPressEvent())
                             {
-                                renderGlobal.loadRenderers();
+                                renderGlobal.allChanged();
                             }
                             else if (gameSettings.keySmoothLighting.isPressEvent())
                             {
@@ -1810,7 +1809,7 @@ public class Minecraft
             if(!isGamePaused)
             {
                 worldRenderer.updateRenderer();
-                renderGlobal.updateClouds();
+                renderGlobal.tick();
                 TileEntityRenderDispatcher.instance.tick();
 
                 Debug.change("entity");
@@ -2216,7 +2215,7 @@ public class Minecraft
         texturePackList.refresh();
         renderer.reload();
         if (renderGlobal != null){
-            renderGlobal.loadRenderers();
+            renderGlobal.allChanged();
         }
         LOGGER.debug("RELOAD TOOK '{}' SECONDS!", (System.nanoTime() - start) / 1_000_000_000d);
     }
@@ -2413,7 +2412,7 @@ public class Minecraft
             thePlayer.input = new PlayerInput(this);
             if(renderGlobal != null)
             {
-                renderGlobal.changeWorld(world);
+                renderGlobal.setWorld(world);
             }
             if(particleEngine != null)
             {
diff --git a/game/client/src/main/java/net/minecraft/client/discord/RichPresenceHandlerThread.java b/game/client/src/main/java/net/minecraft/client/discord/RichPresenceHandlerThread.java
index 212d9267e..6076e74e4 100644
--- a/game/client/src/main/java/net/minecraft/client/discord/RichPresenceHandlerThread.java
+++ b/game/client/src/main/java/net/minecraft/client/discord/RichPresenceHandlerThread.java
@@ -33,7 +33,7 @@ public class RichPresenceHandlerThread extends Thread {
     static {
         dimensionNamesMap.put(Dimension.OVERWORLD, "the Overworld");
         dimensionNamesMap.put(Dimension.NETHER, "the Nether");
-        dimensionNamesMap.put(Dimension.PARADISE, "Paradise");
+        dimensionNamesMap.put(Dimension.DRIFT, "the Drift");
     }
 
     private static final Map<Biome, String> biomeNamesMap = new HashMap<>();
@@ -54,7 +54,7 @@ public class RichPresenceHandlerThread extends Thread {
         biomeNamesMap.put(Biomes.OVERWORLD_TUNDRA, "a tundra");
         biomeNamesMap.put(Biomes.OVERWORLD_MEADOW, "a meadow");
         biomeNamesMap.put(Biomes.NETHER_NETHER, "Hell itself");
-        biomeNamesMap.put(Biomes.PARADISE_PARADISE, "the skies");
+        biomeNamesMap.put(Biomes.DRIFT_DRIFT, "the skies");
         biomeNamesMap.put(Biomes.OVERWORLD_BIRCH_FOREST, "a birch forest");
         biomeNamesMap.put(Biomes.OVERWORLD_RETRO, "a world long forgotten");
         biomeNamesMap.put(Biomes.OVERWORLD_HELL, "a ruined world");
diff --git a/game/client/src/main/java/net/minecraft/client/gui/options/ScreenOptions.java b/game/client/src/main/java/net/minecraft/client/gui/options/ScreenOptions.java
index 83c3b7998..e8427f607 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/options/ScreenOptions.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/options/ScreenOptions.java
@@ -569,7 +569,7 @@ public class ScreenOptions
 
     private void reloadIfReady() {
         if (queueReload) {
-            mc.renderGlobal.loadRenderers();
+            mc.renderGlobal.allChanged();
             queueReload = false;
         }
     }
diff --git a/game/client/src/main/java/net/minecraft/client/option/GameSettings.java b/game/client/src/main/java/net/minecraft/client/option/GameSettings.java
index d05b0c3ac..a45da7a3a 100644
--- a/game/client/src/main/java/net/minecraft/client/option/GameSettings.java
+++ b/game/client/src/main/java/net/minecraft/client/option/GameSettings.java
@@ -459,7 +459,7 @@ public class GameSettings {
 			if (mc.currentScreen instanceof ScreenOptions) {
 				ScreenOptions.queueReload = true;
 			} else {
-				mc.renderGlobal.loadRenderers();
+				mc.renderGlobal.allChanged();
 			}
 		}
 
@@ -473,20 +473,20 @@ public class GameSettings {
 		if(option == playerPantRight && mc.thePlayer != null) {mc.thePlayer.playerConfig.setPantRight(playerPantRight.value);}
 
 		if(option == enableVsync) mc.gameWindow.setVsync(enableVsync.value);
-		if(option == fancyGraphics) mc.renderGlobal.loadRenderers();
-		if(option == ambientOcclusion) mc.renderGlobal.loadRenderers();
-		if(option == connectedGlass) mc.renderGlobal.loadRenderers();
-		if(option == advancedOpenGL) mc.renderGlobal.loadRenderers();
+		if(option == fancyGraphics) mc.renderGlobal.allChanged();
+		if(option == ambientOcclusion) mc.renderGlobal.allChanged();
+		if(option == connectedGlass) mc.renderGlobal.allChanged();
+		if(option == advancedOpenGL) mc.renderGlobal.allChanged();
 		if(option == biomeWater) {
-			mc.renderGlobal.loadRenderers();
+			mc.renderGlobal.allChanged();
 			mc.textureManager.updateDynamicTextures(false);
 		}
-		if(option == treeShadows) mc.renderGlobal.loadRenderers();
+		if(option == treeShadows) mc.renderGlobal.allChanged();
 		if(option == placementMode && mc.thePlayer != null) mc.thePlayer.syncPlacementMode();
 		if(option == animations || option == customAnimations) {
 			mc.textureManager.refreshTexturesAndDisplayErrors();
 			mc.textureManager.updateDynamicTextures(false);
-			mc.renderGlobal.loadRenderers();
+			mc.renderGlobal.allChanged();
 		}
 		if(option == fullscreen) mc.gameWindow.updateWindowState();
 		if(option == borderlessFullscreen && fullscreen.value) mc.gameWindow.updateWindowState();
@@ -520,7 +520,7 @@ public class GameSettings {
 		}
 		if(option == lightmapStyle) {
 			if (mc.renderGlobal != null) {
-				mc.renderGlobal.loadRenderers();
+				mc.renderGlobal.allChanged();
 			}
 		}
 		if(option == customLightmap) {
@@ -531,7 +531,7 @@ public class GameSettings {
 		}
 		if(option == enableHolidayTextures) {
 			mc.textureManager.refreshTexturesAndDisplayErrors();
-			mc.renderGlobal.loadRenderers();
+			mc.renderGlobal.allChanged();
 		}
 	}
 
diff --git a/game/client/src/main/java/net/minecraft/client/player/controller/PlayerController.java b/game/client/src/main/java/net/minecraft/client/player/controller/PlayerController.java
index aad6531bd..318070a11 100644
--- a/game/client/src/main/java/net/minecraft/client/player/controller/PlayerController.java
+++ b/game/client/src/main/java/net/minecraft/client/player/controller/PlayerController.java
@@ -205,11 +205,11 @@ public abstract class PlayerController {
 	public void render(float f) {
 		if (currentDamage <= 0.0F) {
 			mc.hudIngame.damageGuiPartialTime = 0.0F;
-			mc.renderGlobal.damagePartialTime = 0.0F;
+			mc.renderGlobal.destroyProgress = 0.0F;
 		} else {
 			float f1 = previousDamage + (currentDamage - previousDamage) * f;
 			mc.hudIngame.damageGuiPartialTime = f1;
-			mc.renderGlobal.damagePartialTime = f1;
+			mc.renderGlobal.destroyProgress = f1;
 		}
 	}
 
diff --git a/game/client/src/main/java/net/minecraft/client/render/ChunkRendererComparator.java b/game/client/src/main/java/net/minecraft/client/render/DirtyChunkRendererSorter.java
similarity index 92%
rename from game/client/src/main/java/net/minecraft/client/render/ChunkRendererComparator.java
rename to game/client/src/main/java/net/minecraft/client/render/DirtyChunkRendererSorter.java
index 292a3ab06..91b34646a 100644
--- a/game/client/src/main/java/net/minecraft/client/render/ChunkRendererComparator.java
+++ b/game/client/src/main/java/net/minecraft/client/render/DirtyChunkRendererSorter.java
@@ -5,11 +5,11 @@ import net.minecraft.client.render.terrain.ChunkRenderer;
 
 import java.util.Comparator;
 
-public class ChunkRendererComparator
+public class DirtyChunkRendererSorter
     implements Comparator<ChunkRenderer>
 {
 
-    public ChunkRendererComparator(ICamera activeCamera)
+    public DirtyChunkRendererSorter(ICamera activeCamera)
     {
         this.activeCamera = activeCamera;
     }
diff --git a/game/client/src/main/java/net/minecraft/client/render/LoadingScreenRenderer.java b/game/client/src/main/java/net/minecraft/client/render/LoadingScreenRenderer.java
index 5147e0bf7..3614e14aa 100644
--- a/game/client/src/main/java/net/minecraft/client/render/LoadingScreenRenderer.java
+++ b/game/client/src/main/java/net/minecraft/client/render/LoadingScreenRenderer.java
@@ -111,9 +111,9 @@ public class LoadingScreenRenderer
         {
             backgroundPath = "/assets/minecraft/textures/gui/background-loading-nether.png";
         }
-        else if (dimension == Dimension.PARADISE)
+        else if (dimension == Dimension.DRIFT)
         {
-            backgroundPath = "/assets/minecraft/textures/gui/background-loading-paradise.png";
+            backgroundPath = "/assets/minecraft/textures/gui/background-loading-drift.png";
         }
         else
         {
